# Kurzlink-Generator für Gitlab Pages

Einträge der Form

```text
/foo https://irgende.in/link
```

werden nach dem Deployment unter `https://<domain>/foo` verfügbar sein und zu
`https://irgende.in/link` weitergeleitet. Interne Aliase sind auch mit folgender
Syntax möglich:

```text
/bar /foo
```

Unter `https://<domain>/vanitymap.json` gibt es alle Kurzlinks und ihre Ziele
als JSON-Datei.

## Duplikate erkennen

Duplikate kann man wie folgt erkennen:

```shell
cat vanitymap.txt | awk '{ print $1 }' | sort | uniq -c | sort
```
